編集部からのお知らせ
Pick up! ローコード開発の行方
「これからの企業IT」の記事はこちら

phpMyAdminにパッチ:SQLインジェクション、XSSの問題を修正

文:Ryan Naraine(Special to ZDNet.com) 翻訳校正:石橋啓一郎

2009-10-19 06:45

 phpMyAdminの新バージョンがリリースされた。これは、SQLインジェクション攻撃とクロスサイトスクリプティング攻撃に繋がる可能性のある、2件の重大なセキュリティホールを修正したものだ。

 このオープンソースツールを維持しているグループが発表したアドバイザリによれば、これらの脆弱性のうち1つ目は、遠隔のハッカーが特別に作成したMySQLのテーブル名を通じて、任意のウェブスクリプトやHTMLを注入することができるというものだ。

 第2の問題は、遠隔の攻撃者がPDFスキーマ生成機能のさまざまなインターフェースパラメータを通じて、SQLを注入することができるという、SQLインジェクションの脆弱性だ。

 phpMyAdminは、Webを通じてMySQLの管理を行えるようにすることを目的とする、PHPで書かれたオープンソースツールだ。

 同グループはすべてのユーザーに対し、phpMyAdmin 3.2.2.1か2.11.9.6にただちにアップグレードするよう求めている。

この記事は海外CBS Interactive発の記事を朝日インタラクティブが日本向けに編集したものです。原文へ

ZDNet Japan 記事を毎朝メールでまとめ読み(登録無料)

特集

CIO

モバイル

セキュリティ

スペシャル

ホワイトペーパー

新着

ランキング

  1. クラウドコンピューティング

    社員の生産性を約2倍まで向上、注目の企業事例から学ぶDX成功のポイント

  2. コミュニケーション

    真の顧客理解でCX向上を実現、いまさら聞けない「データドリブンマーケティング」入門

  3. クラウドコンピューティング

    家庭向けIoT製品の普及とともに拡大するセキュリティとプライバシー問題─解決策を知ろう

  4. クラウドコンピューティング

    クラウドの障害対策を徹底解説!4つの方法とメリット、デメリット

  5. セキュリティ

    サイバー犯罪の標的となるMicrosoft製品、2019年に悪用された脆弱性リストからの考察

NEWSLETTERS

エンタープライズ・コンピューティングの最前線を配信

ZDNet Japanは、CIOとITマネージャーを対象に、ビジネス課題の解決とITを活用した新たな価値創造を支援します。
ITビジネス全般については、CNET Japanをご覧ください。

このサイトでは、利用状況の把握や広告配信などのために、Cookieなどを使用してアクセスデータを取得・利用しています。 これ以降ページを遷移した場合、Cookieなどの設定や使用に同意したことになります。
Cookieなどの設定や使用の詳細、オプトアウトについては詳細をご覧ください。
[ 閉じる ]